/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Atuador;
import com.tabajara.base.tables.records.AtuadorRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class AtuadorDao extends AbstractVertxDAO<AtuadorRecord, com.tabajara.base.tables.pojos.Atuador, Integer, Future<List<com.tabajara.base.tables.pojos.Atuador>>, Future<com.tabajara.base.tables.pojos.Atuador>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<AtuadorRecord,com.tabajara.base.tables.pojos.Atuador,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public AtuadorDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Atuador.ATUADOR, com.tabajara.base.tables.pojos.Atuador.class, new JDBCClassicQueryExecutor<AtuadorRecord,com.tabajara.base.tables.pojos.Atuador,Integer>(com.tabajara.base.tables.pojos.Atuador.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Atuador object) {
        return object.getAtuid();
    }

    /**
     * Find records that have <code>atudescricao IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Atuador>> findManyByAtudescricao(List<String> values) {
        return findManyByCondition(Atuador.ATUADOR.ATUDESCRICAO.in(values));
    }

    /**
     * Find records that have <code>atuparametro IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Atuador>> findManyByAtuparametro(List<String> values) {
        return findManyByCondition(Atuador.ATUADOR.ATUPARAMETRO.in(values));
    }

    /**
     * Find records that have <code>atuatualizacao IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Atuador>> findManyByAtuatualizacao(List<Integer> values) {
        return findManyByCondition(Atuador.ATUADOR.ATUATUALIZACAO.in(values));
    }

    /**
     * Find records that have <code>atuativo IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Atuador>> findManyByAtuativo(List<String> values) {
        return findManyByCondition(Atuador.ATUADOR.ATUATIVO.in(values));
    }

    /**
     * Find records that have <code>atuvirtual IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Atuador>> findManyByAtuvirtual(List<String> values) {
        return findManyByCondition(Atuador.ATUADOR.ATUVIRTUAL.in(values));
    }

    /**
     * Find records that have <code>fktipatuid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Atuador>> findManyByFktipatuid(List<Integer> values) {
        return findManyByCondition(Atuador.ATUADOR.FKTIPATUID.in(values));
    }
}
